> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/release-notes/es/sdk/march-2026/nfc-wallet-sdk-android-6.14.0.md).

# NFC Wallet SDK (Android) v6.14.0

### Plataformas y arquitecturas compatibles

* Android 8.1 o posterior
* Arquitecturas: `arm64-v8a`, `armeabi-v7a`, `x86_64`, y `x86`

#### ✨ Nuevas funciones

* Añadir compatibilidad con los datos de transacciones de wallet para PURE.
* Compatibilidad con el flujo amarillo para tarjetas de doble marca Visa/PURE.

#### 🐛 Correcciones de errores

* Corregir un fallo que se producía al decodificar el código de activación.
* Corregir los valores GPO de Visa ODA, incluidos AIP y AFL, para que se carguen desde el perfil según lo definido en la especificación Visa 1.8.4 en lugar de valores nativos codificados.
* Corregir un `NullPointerException` en `EnrollingServiceListener.onError()`.
* Corregir un `NullPointerException` durante `processIncomingMessage()` cuando context es null.
* Corregir el manejo del valor predeterminado de `walletTransactionData` cuando `walletTransactionData` se pasa en modo efímero.
* Corregir fugas de memoria en los listeners del SDK.
* Corregir `getAllCards()` para omitir las tarjetas corruptas.
* Corregir el sondeo adicional de tarjetas cuando el registro de la tarjeta falla en el flujo amarillo.
* Corregir la eliminación de datos de tarjeta faltantes cuando se elimina una tarjeta de doble marca.

#### 🔧 Mejoras

* Añadir la nueva API `LogService` para gestionar los registros.
* Actualizar la API para gestionar los datos de transacciones de wallet.

#### ⚠️ Obsolescencias y cambios incompatibles

* La API de registro seguro está obsoleta. Usa la `LogService` API para gestionar los registros
* La API para gestionar los datos de transacciones de wallet se ha actualizado. Las siguientes operaciones ahora están obsoletas:
  * `DigitalizedCard.setWalletTransactionData(WalletTransactionData)`
  * `DigitalizedCard.getWalletTransactionData()`
  * `PaymentBusinessService.setWalletTransactionData(WalletTransactionData)`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.payments.thalescloud.io/release-notes/es/sdk/march-2026/nfc-wallet-sdk-android-6.14.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
